jeudi 17 octobre 2019    || Inscription
BanniereAlertes
 
 

Notre sélection d'alertes et avis SSI.
Sources : US Cert, Cert EU, Cert FR, Cnil, VulDB.

dimanche 10 février 2019

Bento4 1.5.1-627 Codecs/Ap4BitStream.cpp WriteBytes memory corruption

A vulnerability was found in Bento4 1.5.1-627 (Multimedia Player Software). It has been declared as critical. Affected by this vulnerability is the function AP4_BitStream::WriteBytes of the file Codecs/Ap4BitStream.cpp. The manipulation with an unknown input leads to a memory corruption vulnerability (Heap-based). The CWE definition for the vulnerability is CWE-122. As an impact it is known to affect confidentiality, integrity, and availability. The summary by CVE is:

A heap-based buffer over-read occurs in AP4_BitStream::WriteBytes in Codecs/Ap4BitStream.cpp in Bento4 v1.5.1-627. Remote attackers could leverage this vulnerability to cause an exception via crafted mp4 input, which leads to a denial of service.

The weakness was presented 02/10/2019. This vulnerability is known as CVE-2019-7699 since 02/10/2019. Technical details of the vulnerability are known, but there is no available exploit. The pricing for an exploit might be around USD $0-$5k at the moment (estimation calculated on 02/11/2019).

There is no information about possible countermeasures known. It may be suggested to replace the affected object with an alternative product.

See 130721 and 130722 for similar entries.

CPE

CVSSv3

VulDB Meta Base Score: 5.5
VulDB Meta Temp Score: 5.5

VulDB Base Score: ≈5.5
VulDB Temp Score: ≈5.5
VulDB Vector: 🔒
VulDB Reliability: 🔍

CVSSv2

VulDB Base Score: 🔒
VulDB Temp Score: 🔒
VulDB Reliability: 🔍

Exploiting

Class: Memory corruption / Heap-based (CWE-122)
Local: Yes
Remote: No

Availability: 🔒

Price Prediction: 🔍
Current Price Estimation: 🔒

Threat Intelligence

Threat: 🔍
Adversaries: 🔍
Geopolitics: 🔍
Economy: 🔍
Predictions: 🔍
Actions: 🔍

Countermeasures

Recommended: no mitigation known
0-Day Time: 🔒

Timeline

02/10/2019 Advisory disclosed
02/10/2019 CVE assigned
02/11/2019 VulDB entry created
02/11/2019 VulDB last update

Sources

CVE: CVE-2019-7699 (🔒)
See also: 🔒

Entry

Created: 02/11/2019
Complete: 🔍

Lien vers l'article source

Auteur: VulDB

Catégories: VulDBNombre de vues: 120

x

Événements SSI

BLOCKCHAIN

Conférence et exposition sur les applications d'entreprise de la blockchain à Paris, cité universitaire internationale, les 13 et 14 novembre 2019. Organisés par Corp Agency.

TRUSTECH

Cet événement international dédié aux paiements, à l'identification et à la sécurité est organisé à Cannes (palais des festivals) du 26 au 28 novembre 2019. Organisé par Comexposium.

FIC

Ayant pour thème cette année "Replacer l'humain au coeur de la cybersécurité", le Forum International de la Cybersécurité occupe les 28, 29 et 30 janvier 2020 le Grand Palais de Lille. Organisé par la Région Hauts-de-France et Euratechnologies, la Gendarmerie Nationale et CEIS.

RSS